<?php

/**
 * Snippet display the archive of sent campaigns.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * @package clearFusionCMS\module\campaignmonitor
 * @copyright Copyright (c) 2013 clearFusionCMS. All rights reserved.
 * @link http://clearfusioncms.com
 */

/* @var $tplEngine cfTemplateEngine */
$controller = $tplEngine->controller;

$cm = new campaignmonitor();
if(!($list = clearFusionCMS::getCache()->get("cfCampaignMonitor-sent-campaigns")) && !is_array($list)) {
	if(!is_array($list = $cm->getSentCampaigns()))
		$list = '-';
	clearFusionCMS::getCache()->store("cfCampaignMonitor-sent-campaigns", $list, 3600);
}

if(is_array($list) && count($list)) {
	$class = isset($class) ? " class=\"$class\"" : '';
	$wrapperTpl = isset($wrapperTpl) ? $tplEngine->getChunk($wrapperTpl) : '<ul[[+class]]>[[+items]]</ul>';
	$itemTpl = isset($itemTpl) ? $tplEngine->getChunk($itemTpl) : '<li><span>[[+date]]</span> <a href="[[+link]]">[[+title]]</a></li>';
	$limit = isset($limit) ? $limit : 5;

	$html = '';
	foreach($list as $item) {
		$date = new flDate($item->SentDate);
		$html .= $tplEngine->parseString($itemTpl, array(
			'link' => $item->WebVersionURL,
			'title' => $item->Subject,
			'date' => $date->toString('%d %M %Y')
		));

		if(!--$limit)
			break;
	}

	echo $tplEngine->parseString($wrapperTpl, array('items' => $html, 'class' => $class));
}
